GET api/v1/items
Return a list of all items (filtered by parameters).
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| item_numbers |
List of item numbers (SKUs) you want to retrieve, separated by comma. If empty, all items that match the query are returned. |
string |
None. |
| inventory_type |
Return only items from a specific 'inventory type'. |
string |
None. |
| include_lot |
Include lot information in the return data. |
boolean |
Default value is false |
| fields |
Limit which fields are returned by the API. Ignored when null or empty (example: 'item_number,net_available'). |
string |
None. |
| page |
Page number. |
integer |
Default value is 1 |
| page_size |
Amount of items returned per page. Maximum is set to 500. |
integer |
Default value is 500 |
| group_by_inventory_type |
Group by inventory_type (warehouse). |
boolean |
Default value is false |
Body Parameters
None.
Response Information
Resource Description
response_get_items| Name | Description | Type | Additional information |
|---|---|---|---|
| error_code |
Zero if no errors. See 'error_message' for a detailed description of the error. |
integer |
None. |
| error_message |
Returns a detailed description of the error. |
string |
None. |
| items |
List of items returned. |
Collection of item |
None. |
Response Formats
application/json, text/json
Sample:
{
"error_code": 0,
"error_message": "",
"items": [
{
"item_number": "1001-001-DEMO",
"description": "Product For Demo",
"open_wo": 0,
"open_po": 0,
"open_rma": 562,
"on_demand": 59,
"on_hand": 0,
"on_hold": 0,
"committed": 0,
"available": 0,
"in_process": 0,
"net_available": -59,
"min_quantity": 0,
"dcl_quantity": 0,
"inventory_type": "ZFRC",
"lots": []
},
{
"item_number": "1002-002-DEMO2",
"description": "Product For Demo 2",
"open_wo": 0,
"open_po": 0,
"open_rma": 5,
"on_demand": 102,
"on_hand": 501,
"on_hold": 0,
"committed": 0,
"available": 501,
"in_process": 0,
"net_available": 399,
"min_quantity": 0,
"dcl_quantity": 0,
"inventory_type": "ZFRC",
"lots": [
{
"lot_number": "09042014A",
"expiration_date": "2015-09-01",
"on_hand": 501,
"on_hold": 0,
"committed": 0,
"available": 501,
"in_process": 0
}
]
}
]
}